function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import styled from "/apps/websight-atlaskit-esm/web-resources/styled-components.js";
import { colors } from "/apps/websight-admin/web-resources/theme.js";
const AddButtonTemplate = styled.button`
    background: ${colors.veryLightGrey};
    border: 1px solid ${colors.veryLightGrey};
    border-radius: 3px;
    color: ${colors.veryDarkGrey};
    cursor: pointer;
    font-size: 14px;
    margin: 0px 0 10px 30px;
    padding: 2px 8px;

    &:hover,
    &:active {
        background: ${colors.mediumLightGrey};
        border: 1px solid ${colors.mediumLightGrey};
    }

    &:focus {
        outline:0;
    }
`;
export const AddButton = props => {
  return /*#__PURE__*/React.createElement(AddButtonTemplate, _extends({
    type: "button"
  }, props));
};