import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import { DetailsFieldContainer, DetailsLabelContainer, SectionContainer } from "./Containers.js";

const AuthorizableInfoSection = props => {
  const authorizable = props.authorizable;
  const information = [{
    label: 'ID',
    value: authorizable.id
  }, {
    label: 'UUID',
    value: authorizable.uuid
  }, {
    label: 'Path',
    value: authorizable.path
  }];
  return /*#__PURE__*/React.createElement(SectionContainer, null, /*#__PURE__*/React.createElement("h4", null, props.title), information.map(entry => (entry.value || []).length ? /*#__PURE__*/React.createElement(DetailsFieldContainer, null, /*#__PURE__*/React.createElement(DetailsLabelContainer, null, entry.label, ":"), entry.value) : ''));
};

export default AuthorizableInfoSection;