function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import { Link, Route } from "/apps/websight-atlaskit-esm/web-resources/react-router-dom.js";
import { ConnectedItem, MenuSection } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/navigation-next.js";
import RecentActions from "./RecentActions.js";

const RoutedLinkItem = ({
  itemComponent: Component = ConnectedItem,
  to,
  ...props
}) => {
  return /*#__PURE__*/React.createElement(Route, {
    render: () => /*#__PURE__*/React.createElement(Component, _extends({
      component: ({
        children,
        className
      }) => /*#__PURE__*/React.createElement(Link, {
        className: className,
        to: to
      }, children),
      isSelected: location.hash === '#' + to || location.hash.startsWith('#' + to + '/')
    }, props))
  });
};

export default function NavigationMenu(props) {
  return /*#__PURE__*/React.createElement(MenuSection, null, ({
    className
  }) => /*#__PURE__*/React.createElement("div", {
    className: className
  }, /*#__PURE__*/React.createElement(RoutedLinkItem, {
    before: () => /*#__PURE__*/React.createElement("i", {
      className: "material-icons"
    }, "person"),
    text: "Users",
    to: '/users'
  }), /*#__PURE__*/React.createElement(RoutedLinkItem, {
    before: () => /*#__PURE__*/React.createElement("i", {
      className: "material-icons"
    }, "people"),
    text: "Groups",
    to: '/groups'
  }), /*#__PURE__*/React.createElement(RoutedLinkItem, {
    before: () => /*#__PURE__*/React.createElement("i", {
      className: "material-icons"
    }, "settings"),
    text: "System Users",
    to: '/system-users'
  }), /*#__PURE__*/React.createElement(RecentActions, {
    recentAuthorizables: props.recentAuthorizables
  })));
}